package main

import (
	"errors"
	"fmt"
)

func simpleCalculator(dividend, divisor int) (int, error) {
	if divisor == 0 {
		err := errors.New("division by zero")
		return 0, err
	}
	return dividend / divisor, nil
}

func main() {
	fmt.Println(simpleCalculator(5, 2))
	fmt.Println(simpleCalculator(5, 0))
	fmt.Println(simpleCalculator(17, 6))
}
